<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net10.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <ProjectReference Include="..\Application\Application.csproj" />
    <ProjectReference Include="..\Adapters\Driving\Api\Adapters.Driving.Api.csproj" />
    <ProjectReference Include="..\Adapters\Driven\Persistence\Adapters.Driven.Persistence.csproj" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="dotenv.net" Version="*" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="*" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="10.0.1">
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      <PrivateAssets>all</PrivateAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.Extensions.Diagnostics.HealthChecks.EntityFrameworkCore" Version="*" />
    <PackageReference Include="Serilog.AspNetCore" Version="*" />
    <PackageReference Include="Serilog.Enrichers.Environment" Version="*" />
    <PackageReference Include="Serilog.Enrichers.Thread" Version="*" />
    <PackageReference Include="Serilog.Expressions" Version="*" />
    <PackageReference Include="Serilog.Sinks.File" Version="*" />
  </ItemGroup>

</Project>
